Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.local
Class StdInTap

    java.lang.Object
      cascading.tap.Tap<Config,Input,Void>
          cascading.tap.SourceTap<Properties,InputStream>
              cascading.tap.local.StdInTap

All Implemented Interfaces:
  FlowElement, Serializable

    public class StdInTap

extends SourceTap<Properties,InputStream>

Class StdInTap provides a local mode tap for reading data from the `stdin` stream.

See Also:
  Serialized Form

Constructor Summary
`StdInTap(Scheme<Properties,InputStream,?,?,?> scheme)`

Method Summary
`String` | `getIdentifier()` Method getIdentifier returns a String representing the resource this Tap instance represents.
`long` | `getModifiedTime(Properties conf)` Method getModifiedTime returns the date this resource was last modified.
`TupleEntryIterator` | `openForRead(FlowProcess<Properties> flowProcess, InputStream inputStream)` Method openForRead opens the resource represented by this Tap instance for reading.
`boolean` | `resourceExists(Properties conf)` Method resourceExists returns true if the path represented by this instance exists.

Methods inherited from class cascading.tap.SourceTap
`commitResource, createResource, deleteResource, getSinkFields, isSink, openForWrite, rollbackResource, sinkConfInit`

Methods inherited from class cascading.tap.Tap
`createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getScheme, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasStepConfigDef, id, isEquivalentTo, isKeep, isReplace, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, setScheme, sourceConfInit, taps, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdInTap

    public StdInTap(Scheme<Properties,InputStream,?,?,?> scheme)

Method Detail

### getIdentifier

    public String getIdentifier()

  Description copied from class: `Tap`
  Method getIdentifier returns a String representing the resource this Tap instance represents.

  Often, if the tap accesses a filesystem, the identifier is nothing more than the path to the file or directory. In other cases it may be a an URL or URI representing a connection string or remote resource.

  Any two Tap instances having the same value for the identifier are considered equal.

  Specified by:
    `getIdentifier` in class `Tap<Properties,InputStream,Void>`
  Returns:
    String

### openForRead

    public TupleEntryIterator openForRead(FlowProcess<Properties> flowProcess,
                                          InputStream inputStream)
                                   throws IOException

  Description copied from class: `Tap`
  Method openForRead opens the resource represented by this Tap instance for reading.

  `input` value may be null, if so, sub-classes must inquire with the underlying `Scheme` via `Scheme.sourceConfInit(cascading.flow.FlowProcess, Tap, Object)` to get the proper input type and instantiate it before calling `super.openForRead()`.

  Note the returned iterator will return the same instance of `TupleEntry` on every call, thus a copy must be made of either the TupleEntry or the underlying `Tuple` instance if they are to be stored in a Collection.

  Specified by:
    `openForRead` in class `Tap<Properties,InputStream,Void>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `inputStream` - of type Input
  Returns:
    TupleEntryIterator
  Throws:
    `IOException` - when the resource cannot be opened

### resourceExists

    public boolean resourceExists(Properties conf)
                           throws IOException

  Description copied from class: `Tap`
  Method resourceExists returns true if the path represented by this instance exists.

  Specified by:
    `resourceExists` in class `Tap<Properties,InputStream,Void>`
  Parameters:
    `conf` - of type Config
  Returns:
    true if the underlying resource already exists
  Throws:
    `IOException` - when the status cannot be determined

### getModifiedTime

    public long getModifiedTime(Properties conf)
                         throws IOException

  Description copied from class: `Tap`
  Method getModifiedTime returns the date this resource was last modified.

  Specified by:
    `getModifiedTime` in class `Tap<Properties,InputStream,Void>`
  Parameters:
    `conf` - of type Config
  Returns:
    The date this resource was last modified.
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.